Subject: [rtcweb] draft-ietf-rtcweb-use-cases-and-requirements - HTTP Only Firewall.

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 10 Jul 2013 14:00:08 +0000

Hi,

Regarding the use case in 3.2.3 covering a HTTP only FW the text states:

"This use-case is almost identical to the Simple Video Communication Service use-case (Section 3.2.1).  The difference is that one of the users is behind a FW that only allows http traffic".

This needs to be changed to allow for the common case when a HTTP Proxy is deployed so I suggest changing the last sentence to

"The difference is that one of the users is behind a FW that only allows traffic via a HTTP Proxy".

There also needs to be a corresponding change to requirement F37.

I believe we have previously discussed changing this but have to admit I could not fine the e-mail chain so maybe it was during a meeting.

Regards
Andy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Stefan Håkansson LK
> Sent: 27 June 2013 09:50
> To: rt >> "[email-masked]"
> Subject: [rtcweb] Fwd: New Version Notification for draft-ietf-rtcweb-
> use-cases-and-requirements-11.txt
> 
>  From the change log:
> 
>     o  Described that the API requirements are really from a W3C
>        perspective and are supplied as an appendix in the introduction.
>        Moved API requirements to an Appendix.
> 
>     o  Removed the "Conventions" section with the key-words and
> reference
>        to RFC2119.  Also changed uppercase MUST's/SHOULD's to
> lowercase.
> 
>     o  Added a note on the proposed use of the document to the
>        introduction.
> 
>     o  Removed the note talking about WS from the "FW that only allows
>        http" use-case.
> 
>     o  Removed the word "Skype" that was used as example in one of the
>        use-cases.
> 
>     o  Clarified F3 (the req saying the everything the browser sends
> must
>        be rate controlled).
> 
>     o  Removed the TBD saying we need to define reasonable levels from
>        the requirement saying that quality must be good even in
> presence
>        of packet losses (F5), and changed "must" to "should" (Based on
> a
>        list discussion involving Bernard).
> 
>     o  Removed F6 ("The browser must be able to handle high loss and
>        jitter levels in a graceful way."), also after a list
> discussion.
> 
>     o  Clarified F7 (used to say that the browser must support fast
>        stream switches, now says that reference frames must be inserted
>        when requested).
>     o  Removed the questions from F9 (echo cancellation), F10
>        (syncronization), F21 (telephony codec).
> 
>     o  Exchanged "restrictive firewalls" for "limited middleboxes" in
> F19
>        (as proposed by Martin).
> 
>     o  Expanded DTMF and IVR in F22 (proposed by Martin)
> 
>     o  Added ref to RFC5405 in F23 (proposed by Lars Eggert).
> 
>     o  Exchanged "service provided" for "web application" in F32.
> 
>     o  Changed the text in 3.2.1 that motivates F36 (new text "It is
>        essential that media and data be encrypted, authenticated ...
>        bound to the user identity."); and rewrote F36, included a ref
> to
>        RFC5479.
> 
>     o  Changed "quality of service" to "quality of experience" in F38.
> 
>     o  Added F39.
> 
>     o  Used new formulation of A17 (proposed by Martin).
> 
>     o  Updated A20.
> 
>     o  Updated A25.
> 
> Things that have not been done:
> 
> - No use-case on emergency services added (as said already in
> http://www.ietf.org/mail-archive/web/rtcweb/current/msg07253.html)
> 
> - No use-case on real-time text added (as said already in
> http://www.ietf.org/mail-archive/web/rtcweb/current/msg07254.html)
> 
> - No clarification on what solution(s) related to multiple resolutions
> of the same content added (discussed in
> http://www.ietf.org/mail-archive/web/rtcweb/current/msg07256.html but
> no
> input received).
> 
> - The order of the requirements (Fn) is still a mess - but I kept it as
> is for this version to make diffing simpler. To be fixed in an upcoming
> version.
> 
> Stefan
> 
> 
> -------- Original Message --------
> Subject: New Version Notification for
> draft-ietf-rtcweb-use-cases-and-requirements-11.txt
> Date: 10:40
> From: [email-masked] <[email-masked]>
> To: Christer Holmberg <[email-masked]>,    Göran
> Eriksson AP <[email-masked]>,    Stefan Håkansson LK
> <[email-masked]>,    Göran Eriksson AP
> <[email-masked]>
> 
> 
> A new version of I-D, draft-ietf-rtcweb-use-cases-and-requirements-
> 11.txt
> has been successfully submitted by Christer Holmberg and posted to the
> IETF repository.
> 
> Filename:	 draft-ietf-rtcweb-use-cases-and-requirements
> Revision:	 11
> Title:		 Web Real-Time Communication Use-cases and
> Requirements
> Creation date:	 2013-06-27
> Group:		 rtcweb
> Number of pages: 30
> URL:
> http://www.ietf.org/internet-drafts/draft-ietf-rtcweb-use-cases-and-
> requirements-11.txt
> Status:
> http://datatracker.ietf.org/doc/draft-ietf-rtcweb-use-cases-and-
> requirements
> Htmlized:
> http://tools.ietf.org/html/draft-ietf-rtcweb-use-cases-and-
> requirements-11
> Diff:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-rtcweb-use-cases-and-
> requirements-11
> 
> Abstract:
>     This document describes web based real-time communication use-
> cases.
>     Requirements on the browser functionality are derived from use-
> cases.
> 
> 
> 
> 
> 
> The IETF Secretariat
> 
> 
> 
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

---

From: Stefan Håkansson LK <[email-masked]>
Date: Thu, 11 Jul 2013 06:43:49 +0000

Hi Andrew,

thanks for catching this!

F37 currently reads:

"The browser must be able to send streams and data to a peer in the 
presence of FWs that only allows http(s) traffic."

Would a change to:

"The browser must be able to send streams and data to a peer in the 
presence of FWs that only allows traffic via a HTTP Proxy."

be correct?

Br,
Stefan

On 7/10/13 4:00 PM, Hutton, Andrew wrote:
> "This use-case is almost identical to the Simple Video Communication
> Service use-case (Section 3.2.1).  The difference is that one of the
> users is behind a FW that only allows http traffic".
>
> This needs to be changed to allow for the common case when a HTTP
> Proxy is deployed so I suggest changing the last sentence to
>
> I believe we have previously discussed changing this but have to
> admit I could not fine the e-mail chain so maybe it was during a
> meeting.
>
> Regards Andy
>
>
>
>
>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Stefan Håkansson LK
>> Sent: 27 June 2013 09:50 To: rt >> "[email-masked]" Subject:
>> [rtcweb] Fwd: New Version Notification for draft-ietf-rtcweb-
>> reference to RFC2119.  Also changed uppercase MUST's/SHOULD's to
>> lowercase.
>>
>> must be rate controlled).
>>
>> the requirement saying that quality must be good even in presence
>> of packet losses (F5), and changed "must" to "should" (Based on a
>> jitter levels in a graceful way."), also after a list discussion.
>>
>> when requested). o  Removed the questions from F9 (echo
>> cancellation), F10 (syncronization), F21 (telephony codec).
>>
>> F19 (as proposed by Martin).
>>
>> essential that media and data be encrypted, authenticated ... bound
>> to the user identity."); and rewrote F36, included a ref to
>> RFC5479.
>>
>> - No clarification on what solution(s) related to multiple
>> resolutions of the same content added (discussed in
>> http://www.ietf.org/mail-archive/web/rtcweb/current/msg07256.html
>> but no input received).
>>
>> - The order of the requirements (Fn) is still a mess - but I kept
>> it as is for this version to make diffing simpler. To be fixed in
>> an upcoming version.
>>
>> Stefan
>>
>>
>> -------- Original Message -------- Subject: New Version
>> Notification for
>> draft-ietf-rtcweb-use-cases-and-requirements-11.txt Date: 10:40
>> From: [email-masked] <[email-masked]> To:
>> Christer Holmberg <[email-masked]>,    Göran
>> Eriksson AP <[email-masked]>,    Stefan Håkansson
>> LK <[email-masked]>,    Göran Eriksson AP
>> A new version of I-D,
>> draft-ietf-rtcweb-use-cases-and-requirements- 11.txt has been
>> successfully submitted by Christer Holmberg and posted to the IETF
>> repository.
>>
>> Filename:	 draft-ietf-rtcweb-use-cases-and-requirements Revision:
>> 11 Title:		 Web Real-Time Communication Use-cases and Requirements
>> Creation date:	 2013-06-27 Group:		 rtcweb Number of pages: 30
>> URL:
requirements-11.txt
>> requirements Htmlized:
>> requirements-11 Diff:
>> Abstract: This document describes web based real-time communication
>> use- cases. Requirements on the browser functionality are derived
>> from use- cases.
>>
>>
>>
>>
>>
>> The IETF Secretariat
>>
>>
>>
>>
>> _______________________________________________ rtcweb mailing
>> list [email-masked] https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: "Hutton, Andrew" <[email-masked]>
Date: Thu, 11 Jul 2013 08:28:26 +0000

Sounds good to me.

Regards
Andy

> From: Stefan Håkansson LK [mailto:[email-masked]]
> Sent: 11 July 2013 07:44
> To: Hutton, Andrew
> Cc: rt >> "[email-masked]"
> Subject: Re: draft-ietf-rtcweb-use-cases-and-requirements - HTTP Only
> Firewall.
> 
> Hi Andrew,
> 
> Revision: